#
# spec file for package perl-Package-Stash-XS
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Package-Stash-XS
Version:        0.28
Release:        lp152.3.4
%define cpan_name Package-Stash-XS
Summary:        faster and more correct implementation of the Package::Stash API
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Package-Stash-XS/
Source:         http://www.cpan.org/authors/id/D/DO/DOY/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
#BuildRequires: perl(Package::Stash)
#BuildRequires: perl(Package::Stash::XS)
#BuildRequires: perl(Test::LeakTrace)
#BuildRequires: perl(Variable::Magic)
%{perl_requires}

%description
This is a backend for the Package::Stash manpage, which provides the
functionality in a way that's less buggy and much faster. It will be used
by default if it's installed, and should be preferred in all environments
with a compiler.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.28
  - fix test issue (Graham Knop)
  - handle magic more correctly in add_symbol and get_or_add_symbol
* Sun Jun  9 2013 coolo@suse.com
- updated to 0.26
  - internal refactorings to support Package::Anon stashes - this should
    work now
- remove outdated perl-Package-Stash-XS-old_Test-More.patch
* Wed Feb 29 2012 ro@suse.de
- make it build again with old Test::More
* Wed Oct 26 2011 tabraham@novell.com
- updated to 0.25
  - fix compilation on perl 5.8 (RT#70762)
- updated to 0.24 2011-09-05
  - invalid package names (for instance, Foo::Bar) are not allowed
  - invalid stash entry names (anything containing ::) are not allowed
- updated to 0.23 2011-08-08
  - fix the test for scalar values, again (t0m, rafl)
  - disallow assigning globrefs to scalar glob slots (this doesn't
    actually make any sense)
* Sat Jun  4 2011 lars@linux-schulserver.de
- fix build on distributions with old Test::More module
  ( perl-Package-Stash-XS-old_Test-More.patch )
* Thu Mar 31 2011 coolo@novell.com
- initial package 0.22
  * created by cpanspec 1.78.03
